### org.jfree.layouting.renderer

# Class StreamingRenderer.DefaultFlowRendererState

- `java.lang.Object`
- - `org.jfree.layouting.renderer.AbstractRenderer.RendererState`
  - - `org.jfree.layouting.renderer.StreamingRenderer.DefaultFlowRendererState`

Enclosing Class:
  StreamingRenderer

Implemented Interfaces:
  Serializable, State

`protected static class StreamingRenderer.DefaultFlowRendererState`
`extends AbstractRenderer.RendererState`

  ## Constructor Summary

  `DefaultFlowRendererState(StreamingRenderer renderer)`

  ## Method Summary

  `StatefullComponent`

  `restore(LayoutProcess layoutProcess)`
    Creates a restored instance of the saved component.

  ### Methods inherited from class org.jfree.layouting.renderer.AbstractRenderer.RendererState

  `fill`

## Constructor Details

### DefaultFlowRendererState

    protected DefaultFlowRendererState(StreamingRenderer renderer)
                throws StateException

## Method Details

### restore

    public StatefullComponent restore(LayoutProcess layoutProcess)
                throws StateException

> Creates a restored instance of the saved component.

> By using this factory-like approach, we gain independence from having to know the actual implementation. This makes things a lot easier.
> Specified by:
>   restore in interface State
> Parameters:
>   `layoutProcess` - the layout process that controls it all
> Returns:
>   the saved state
> Throws:
>   `StateException` -